---
title: '<dfn>: The Definition element'
slug: Web/HTML/Element/dfn
tags:
  - Definition
  - Definitions
  - Element
  - HTML
  - HTML text-level semantics
  - Reference
  - Semantic Markup
  - Web
  - dfn
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML Definition element</strong> (<code><strong><dfn>&lt;dfn&gt;</dfn></strong></code>) is used to indicate the term being defined within the context of a definition phrase or sentence.</span> The {{HTMLElement("p")}} element, the {{HTMLElement("dt")}}/{{HTMLElement("dd")}} pairing, or the {{HTMLElement("section")}} element which is the nearest ancestor of the <code>&lt;dfn&gt;</code> is considered to be the definition of the term.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/dfn.html", "tabbed-shorter")}}</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">Phrasing content</a>, but no {{HTMLElement("dfn")}} element must be a descendant.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td>{{ARIARole("term")}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element's attributes include the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<p>In HTML5, the {{htmlattrxref("title")}} attribute has special meaning, as noted below.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>There are some not-entirely-obvious aspects to using the <code>&lt;dfn&gt;</code> element. We examine those here.</p>

<h3 id="Specifying_the_term_being_defined">Specifying the term being defined</h3>

<p>The term being defined is identified following these rules:</p>

<ol>
 <li>If the <code>&lt;dfn&gt;</code> element has a {{htmlattrxref("title")}} attribute, the value of the <code>title</code> attribute is considered to be the term being defined. The element must still have text within it, but that text may be an abbreviation (perhaps using {{HTMLElement("abbr")}}) or another form of the term.</li>
 <li>If the <code>&lt;dfn&gt;</code> contains a single child element and does not have any text content of its own, and the child element is an {{HTMLElement("abbr")}} element with a <code>title</code> attribute itself, then the exact value of the <code>&lt;abbr&gt;</code> element's <code>title</code> is the term being defined.</li>
 <li>Otherwise, the text content of the <code>&lt;dfn&gt;</code> element is the term being defined. This is shown {{anch("Basic identification of a term", "in the first example below")}}.</li>
</ol>

<div class="note">
<p>If the <code>&lt;dfn&gt;</code> element has a <code>title</code> attribute, it <em>must</em> contain the term being defined and no other text.</p>
</div>

<h3 id="Links_to_&lt;dfn&gt;_elements">Links to <code>&lt;dfn&gt;</code> elements</h3>

<p>If you include an {{htmlattrxref("id")}} attribute on the <code>&lt;dfn&gt;</code> element, you can then link to it using {{HTMLElement("a")}} elements. Such links should be uses of the term, with the intent being that the reader can quickly navigate to the term's definition if they're not already aware of it, by clicking on the term's link.</p>

<p>This is shown in the example under {{anch("Links to definitions")}} below.</p>

<h2 id="Examples">Examples</h2>

<p>Let's take a look at some examples of various usage scenarios.</p>

<h3 id="Basic_identification_of_a_term">Basic identification of a term</h3>

<p>This example uses a plain <code>&lt;dfn&gt;</code> element to identify the location of a term within the definition.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;p&gt;The &lt;strong&gt;HTML Definition element&lt;/strong&gt;
(&lt;strong&gt;&lt;dfn&gt;&amp;lt;dfn&amp;gt;&lt;/dfn&gt;&lt;/strong&gt;) is used to indicate the
term being defined within the context of a definition phrase or
sentence.&lt;/p&gt;</pre>

<p>Since the <code>&lt;dfn&gt;</code> element has no <code>title</code>, the text contents of the <code>&lt;dfn&gt;</code> element itself are used as the term being defined.</p>

<h4 id="Result">Result</h4>

<p>This looks like this rendered in your browser:</p>

<p>{{EmbedLiveSample("Basic_identification_of_a_term", 650, 120)}}</p>

<h3 id="Links_to_definitions">Links to definitions</h3>

<p>To add links to the definitions, you create the link the same way you always do, with the {{HTMLElement("a")}} element.</p>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html">&lt;p&gt;The &lt;strong&gt;HTML Definition element&lt;/strong&gt;
(&lt;strong&gt;&lt;dfn id="definition-dfn"&gt;&amp;lt;dfn&amp;gt;&lt;/dfn&gt;&lt;/strong&gt;) is
used to indicate the term being defined within the context of a
definition phrase or sentence.&lt;/p&gt;

&lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Graece
donan, Latine voluptatem vocant. Confecta res esset. Duo Reges:
constructio interrete. Scrupulum, inquam, abeunti; &lt;/p&gt;

&lt;p&gt;Negare non possum. Dat enim intervalla et relaxat. Quonam modo?
Equidem e Cn. Quid de Pythagora? In schola desinis. &lt;/p&gt;

&lt;p&gt;Ubi ut eam caperet aut quando? Cur iustitia laudatur? Aperiendum
est igitur, quid sit voluptas; Quid enim? Non est igitur voluptas
bonum. Urgent tamen et nihil remittunt. Quid enim possumus hoc
agere divinius? &lt;/p&gt;

&lt;p&gt;Because of all of that, we decided to use the
&lt;code&gt;&lt;a href="#definition-dfn"&gt;&amp;lt;dfn&amp;gt;&lt;/a&gt;&lt;/code&gt; element for
this project.&lt;/p&gt;</pre>

<p>Here we see the definition — now with an {{htmlattrxref("id")}} attribute, <code>"definition-dfn"</code>, which can be used as the target of a link. Later on, a link is created using <code>&lt;a&gt;</code> with the {{htmlattrxref("href", "a")}} attribute set to <code>"#definition-dfn"</code> to set up the link back to the definition.</p>

<h4 id="Result_2">Result</h4>

<p>The resulting content looks like this:</p>

<p>{{EmbedLiveSample("Links_to_definitions", 650, 300)}}</p>

<h3 id="Using_abbreviations_and_definitions_together">Using abbreviations and definitions together</h3>

<p>In some cases, you may wish to use an abbreviation for a term when defining it. This can be done by using the <code>&lt;dfn&gt;</code> and {{HTMLElement("abbr")}} elements in tandem, like this:</p>

<h4 id="HTML_3">HTML</h4>

<pre class="brush: html">&lt;p&gt;The &lt;dfn&gt;&lt;abbr title="Hubble Space Telescope"&gt;HST&lt;/abbr&gt;&lt;/dfn&gt;
is among the most productive scientific instruments ever constructed.
It has been in orbit for over 20 years, scanning the sky and
returning data and photographs of unprecedented quality and
detail.&lt;/p&gt;

&lt;p&gt;Indeed, the &lt;abbr title="Hubble Space Telescope"&gt;HST&lt;/abbr&gt; has
arguably done more to advance science than any device ever built.&lt;/p&gt;</pre>

<p>Note the <code>&lt;abbr&gt;</code> element nested inside the <code>&lt;dfn&gt;</code>. The former establishes that the term is an abbreviation ("HST") and specifies the full term ("Hubble Space Telescope") in its <code>title</code> attribute. The latter indicates that the abbreviated term represents a term being defined.</p>

<h4 id="Result_3">Result</h4>

<p>The output of the above code looks like this:</p>

<p>{{EmbedLiveSample("Using_abbreviations_and_definitions_together", 650, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-dfn-element', '&lt;dfn&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'textlevel-semantics.html#the-dfn-element', '&lt;dfn&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/text.html#h-9.2.1', '&lt;dfn&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.dfn")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Elements related to definition lists: {{HTMLElement("dl")}}, {{HTMLElement("dt")}}, {{HTMLElement("dd")}}</li>
 <li>{{HTMLElement("abbr")}}</li>
</ul>
